Package com.io7m.idstore.model

# Record Class IdPage<T>

java.lang.Object
java.lang.Record
com.io7m.idstore.model.IdPage<T>

Type Parameters:
  `T` - The type of data
Record Components:
  `items` - The items
  `pageIndex` - The page index (starting at 0)
  `pageCount` - The total page count
  `pageFirstOffset` - The offset of the first item in the list

public record IdPage<T>(List<T> items, int pageIndex, int pageCount, long pageFirstOffset) extends Record
A page of items.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdPage(List<T> items, int pageIndex, int pageCount, long pageFirstOffset)`
  A page of items.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `List<T>`
  `items()`
  Returns the value of the `items` record component.
  `int`
  `pageCount()`
  Returns the value of the `pageCount` record component.
  `long`
  `pageFirstOffset()`
  Returns the value of the `pageFirstOffset` record component.
  `int`
  `pageIndex()`
  Returns the value of the `pageIndex` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdPage

    public IdPage(List<T> items, int pageIndex, int pageCount, long pageFirstOffset)
    A page of items.

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### items

    public List<T> items()
    Returns the value of the `items` record component.
    Returns:
      the value of the `items` record component

  - ### pageIndex

    public int pageIndex()
    Returns the value of the `pageIndex` record component.
    Returns:
      the value of the `pageIndex` record component

  - ### pageCount

    public int pageCount()
    Returns the value of the `pageCount` record component.
    Returns:
      the value of the `pageCount` record component

  - ### pageFirstOffset

    public long pageFirstOffset()
    Returns the value of the `pageFirstOffset` record component.
    Returns:
      the value of the `pageFirstOffset` record component